Bug 799701 - Review Request: logkeys - Linux keylogger
Review Request: logkeys - Linux keylogger
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 07:58 EST by Ankur Sinha (FranciscoD)
Modified: 2017-12-17 09:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-17 09:37:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
brendan.jones.it: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-03-04 07:58:59 EST
Spec URL: http://ankursinha.fedorapeople.org/logkeys/logkeys.spec
SRPM URL: http://ankursinha.fedorapeople.org/logkeys/logkeys-0.1.1a-1.fc16.src.rpm

Description: 
logkeys is a linux keylogger (GNU/Linux systems only). It is no more advanced
than other available linux keyloggers, but is a bit more up to date, it doesn't
unreliably repeat keys and it should never crash your X. All in all, it just
seems to work. It relies on event interface of the Linux input subsystem. Once
set, it logs all common character and function keys, while also being fully
aware of Shift and AltGr key modifiers. It works with serial as well as USB
keyboards. 

== rpmlint output ==
[ankur@ankur result]$ rpmlint *.rpm ~/rpmbuild/SPECS/logkeys.spec
logkeys.src: W: spelling-error Summary(en_US) keylogger -> key logger, key-logger, flogger
logkeys.src: W: spelling-error %description -l en_US linux -> Linux
logkeys.src: W: spelling-error %description -l en_US keylogger -> key logger, key-logger, flogger
logkeys.src: W: spelling-error %description -l en_US keyloggers -> key loggers, key-loggers, loggers
logkeys.src: W: strange-permission logkeys-0.1.1a.tar.gz 0640L
logkeys.src: W: invalid-url Source0: http://logkeys.googlecode.com/files/logkeys-0.1.1a.tar.gz HTTP Error 404: Not Found
logkeys.x86_64: W: spelling-error Summary(en_US) keylogger -> key logger, key-logger, flogger
logkeys.x86_64: W: spelling-error %description -l en_US linux -> Linux
logkeys.x86_64: W: spelling-error %description -l en_US keylogger -> key logger, key-logger, flogger
logkeys.x86_64: W: spelling-error %description -l en_US keyloggers -> key loggers, key-loggers, loggers
logkeys.x86_64: W: manual-page-warning /usr/share/man/man8/logkeys.8.gz 216: warning: macro `..' not defined
logkeys.x86_64: W: no-manual-page-for-binary llk
logkeys.x86_64: W: no-manual-page-for-binary llkk
/home/ankur/rpmbuild/SPECS/logkeys.spec: W: invalid-url Source0: http://logkeys.googlecode.com/files/logkeys-0.1.1a.tar.gz HTTP Error 404: Not Found
3 packages and 1 specfiles checked; 0 errors, 14 warnings.
[ankur@ankur result]$


Nothing really serious here.
Comment 1 Ankur Sinha (FranciscoD) 2012-03-04 08:02:06 EST
Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3850441
Comment 2 Brendan Jones 2012-03-06 08:01:34 EST
I will take this review.
Comment 3 Brendan Jones 2012-03-06 09:09:47 EST
(In reply to comment #0)

> logkeys.src: W: strange-permission logkeys-0.1.1a.tar.gz 0640L

You can correct these permissions

> logkeys.x86_64: W: manual-page-warning /usr/share/man/man8/logkeys.8.gz 216:

You can notify upstream about this
> warning: macro `..' not defined

You could try this in your prep section
perl -i -p -e 's/^\.\.\.\n/\n/' man/logkeys.8
and notify upstream
Comment 4 François Cami 2013-01-10 16:39:35 EST
FranciscoD, could you please update your SPEC according to Brendan's comments? Otherwise we might consider this as stalled.
Comment 5 Ankur Sinha (FranciscoD) 2013-01-10 19:05:46 EST
Hi Brendan, Francois,

I seem to have somehow missed this bug. I'll update it over the weekend. Thanks for the ping.

Thanks,
Warm regards,
Ankur
Comment 6 Ankur Sinha (FranciscoD) 2013-01-13 20:20:18 EST
Hi, 

* Corrected the man page error
* Permissions seem okay

New spec/srpm:

http://ankursinha.fedorapeople.org/logkeys/logkeys.spec

http://ankursinha.fedorapeople.org/logkeys/logkeys-0.1.1a-2.fc19.src.rpm

Thanks,
Warm regards,
Ankur
Comment 7 Christopher Meng 2013-07-20 00:24:55 EDT
I'll take this(but later review coming)
Comment 8 Ankur Sinha (FranciscoD) 2013-11-10 05:20:48 EST
(In reply to Christopher Meng from comment #7)
> I'll take this(but later review coming)

Uhm,

Christopher, can I request you to please communicate with the folks in the bug before you take over or give up the review? For instance, here there's no comment asking Brendan if he wanted to give up the bug so you can take over, and there isn't one asking if he wants to take it over now when you're giving it up. :/

Thanks,
Ankur
Comment 9 Christopher Meng 2013-11-10 05:25:14 EST
(In reply to Ankur Sinha (FranciscoD) from comment #8)
> (In reply to Christopher Meng from comment #7)
> > I'll take this(but later review coming)
> 
> Uhm,
> 
> Christopher, can I request you to please communicate with the folks in the
> bug before you take over or give up the review? For instance, here there's
> no comment asking Brendan if he wanted to give up the bug so you can take
> over, and there isn't one asking if he wants to take it over now when you're
> giving it up. :/
> 
> Thanks,
> Ankur

I think I've reseted the flag to him in July.

I just removed myself from this bug as I can't see any new progress here.

Thanks.
Comment 10 Brendan Jones 2013-11-10 05:53:06 EST
Sorry I missed that it had changed back to me. Comment would be good next time.

Is this still wanted? Need to change the permissions of the source tarbal and address the missing call to cgroups rpmlint. Source URL is fine

logkeys.x86_64: W: spelling-error Summary(en_US) keylogger -> key logger, key-logger, flogger
logkeys.x86_64: W: spelling-error %description -l en_US linux -> Linux
logkeys.x86_64: W: spelling-error %description -l en_US keylogger -> key logger, key-logger, flogger
logkeys.x86_64: W: spelling-error %description -l en_US keyloggers -> key loggers, key-loggers, loggers
logkeys.x86_64: E: missing-call-to-setgroups /usr/bin/logkeys
logkeys.x86_64: W: no-manual-page-for-binary llk
logkeys.x86_64: W: no-manual-page-for-binary llkk
logkeys.src: W: spelling-error Summary(en_US) keylogger -> key logger, key-logger, flogger
logkeys.src: W: spelling-error %description -l en_US linux -> Linux
logkeys.src: W: spelling-error %description -l en_US keylogger -> key logger, key-logger, flogger
logkeys.src: W: spelling-error %description -l en_US keyloggers -> key loggers, key-loggers, loggers
logkeys.src: W: strange-permission logkeys-0.1.1a.tar.gz 0640L
logkeys.src: W: invalid-url Source0: http://logkeys.googlecode.com/files/logkeys-0.1.1a.tar.gz HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 1 errors, 12 warnings.
Comment 11 Upstream Release Monitoring 2015-12-06 13:25:40 EST
pbrobinson's scratch build of linux-user-chroot?#b7afe5173cbd31b029b027b6f8a14baa5e6ce87a for epel7-archbootstrap and git://pkgs.fedoraproject.org/linux-user-chroot?#b7afe5173cbd31b029b027b6f8a14baa5e6ce87a failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12089939
Comment 12 Ankur Sinha (FranciscoD) 2017-12-17 09:37:18 EST
Dropping this - I haven't used logkeys in a long time, and I don't reckon I'll use it in the future either.

Thanks for the comments.

Note You need to log in before you can comment on or make changes to this bug.